Bug 1170320 - Ext3 directory code should account for nil entries
Summary: Ext3 directory code should account for nil entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Insight
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.3.2
Assignee: Rich Oliveri
QA Contact: Ramesh A
URL:
Whiteboard:
Depends On: 1170319
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 19:26 UTC by Rich Oliveri
Modified: 2015-03-23 14:53 UTC (History)
6 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1170319
Environment:
Last Closed: 2015-01-14 19:44:01 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Description Rich Oliveri 2014-12-03 19:26:24 UTC
+++ This bug was initially created as a clone of Bug #1170319 +++

Description of problem:
Nil entries in Ext3 directories can cause code to fault.
These nil entries should be filtered out.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rich Oliveri 2014-12-04 18:15:33 UTC
This issue also applies to Ext4 and XFS code.

Comment 2 CFME Bot 2014-12-08 22:31:02 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1194c771a3055a332a94ec4f8690948405bc6f68

commit 1194c771a3055a332a94ec4f8690948405bc6f68
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Thu Dec 4 14:11:28 2014 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Thu Dec 4 14:25:33 2014 -0500

    Account for nil directory entries in FS code.
    
    Modify Ext3, Ext4 and XFS filesystem code to filter out nil directory entries.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1170320
    https://bugzilla.redhat.com/show_bug.cgi?id=1170319

 lib/fs/ext3/Ext3Directory.rb | 5 ++---
 lib/fs/ext4/Ext4Directory.rb | 2 +-
 lib/fs/xfs/directory.rb      | 2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

Comment 3 CFME Bot 2014-12-08 22:35:58 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a93d06090e10cb6408b463e2b9b71cf693b498f9

commit a93d06090e10cb6408b463e2b9b71cf693b498f9
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Thu Dec 4 14:11:28 2014 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Mon Dec 8 17:34:27 2014 -0500

    Account for nil directory entries in FS code.
    
    Modify Ext3, Ext4 and XFS filesystem code to filter out nil directory entries.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1170320
    https://bugzilla.redhat.com/show_bug.cgi?id=1170319

 lib/fs/ext3/Ext3Directory.rb | 5 ++---
 lib/fs/ext4/Ext4Directory.rb | 2 +-
 lib/fs/xfs/directory.rb      | 2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

Comment 5 Dave Johnson 2015-01-13 14:56:18 UTC
Unable to reproduce with 5.3.2.06 on ext3, ext4, xfs filesystems.  Marking as verified

Comment 7 errata-xmlrpc 2015-01-14 19:44:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.